"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.todo = todo;
exports.skip = skip;
const write_js_1 = require("../../services/write.js");
const indentation_js_1 = require("../../configs/indentation.js");
const format_js_1 = require("../../services/format.js");
async function todo(message, _cb) {
    write_js_1.Write.log(`${indentation_js_1.indentation.hasDescribe ? '  ' : ''}${(0, format_js_1.format)(`● ${message}`).cyan().bold()}`);
    
    if (typeof _cb === 'function') {
        const isAsync = _cb.constructor.name === 'AsyncFunction';
        if (isAsync)
            return await Promise.resolve();
        return;
    }
    
}
async function skip(messageOrCb, _cb) {
    const message = (typeof messageOrCb === 'string' && messageOrCb) || 'Skipping';
    write_js_1.Write.log(`${indentation_js_1.indentation.hasDescribe ? '  ' : ''}${(0, format_js_1.format)(`◯ ${message}`).info().bold()}`);
    
    if (typeof messageOrCb === 'function') {
        const isAsync = messageOrCb.constructor.name === 'AsyncFunction';
        if (isAsync)
            return await Promise.resolve();
        return;
    }
    if (typeof _cb === 'function') {
        const isAsync = _cb.constructor.name === 'AsyncFunction';
        if (isAsync)
            return await Promise.resolve();
        return;
    }
    
}
